package com.jenny.compressedblocks.modblocks;

import com.jenny.compressedblocks.CompressedBlocks;
import net.minecraft.world.item.BlockItem;
import net.minecraft.world.item.Item;
import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.material.MapColor;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.RegistryObject;

public class ModBlocks {
    public static final DeferredRegister<Block> BLOCKS = DeferredRegister.create(ForgeRegistries.BLOCKS, CompressedBlocks.MODID);
    public static final DeferredRegister<Item> ITEMS = DeferredRegister.create(ForgeRegistries.ITEMS, CompressedBlocks.MODID);

    public static final RegistryObject<Block> COBBLESTONE_1X = BLOCKS.register("cobblestone_1x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(2.0F, 8.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> COBBLESTONE_1X_ITEM = ITEMS.register("cobblestone_1x", () -> new BlockItem(COBBLESTONE_1X.get(), new Item.Properties()));

    public static final RegistryObject<Block> COBBLESTONE_2X = BLOCKS.register("cobblestone_2x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(3.0F, 9.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> COBBLESTONE_2X_ITEM = ITEMS.register("cobblestone_2x", () -> new BlockItem(COBBLESTONE_2X.get(), new Item.Properties()));

    public static final RegistryObject<Block> COBBLESTONE_3X = BLOCKS.register("cobblestone_3x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(4.0F, 10.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> COBBLESTONE_3X_ITEM = ITEMS.register("cobblestone_3x", () -> new BlockItem(COBBLESTONE_3X.get(), new Item.Properties()));

    public static final RegistryObject<Block> COBBLESTONE_4X = BLOCKS.register("cobblestone_4x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(5.0F, 11.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> COBBLESTONE_4X_ITEM = ITEMS.register("cobblestone_4x", () -> new BlockItem(COBBLESTONE_4X.get(), new Item.Properties()));

    /* ANDESITE */

    public static final RegistryObject<Block> ANDESITE_1X = BLOCKS.register("andesite_1x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(2.0F, 8.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> ANDESITE_1X_ITEM = ITEMS.register("andesite_1x", () -> new BlockItem(ANDESITE_1X.get(), new Item.Properties()));

    public static final RegistryObject<Block> ANDESITE_2X = BLOCKS.register("andesite_2x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(3.0F, 9.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> ANDESITE_2X_ITEM = ITEMS.register("andesite_2x", () -> new BlockItem(ANDESITE_2X.get(), new Item.Properties()));

    public static final RegistryObject<Block> ANDESITE_3X = BLOCKS.register("andesite_3x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(4.0F, 10.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> ANDESITE_3X_ITEM = ITEMS.register("andesite_3x", () -> new BlockItem(ANDESITE_3X.get(), new Item.Properties()));

    public static final RegistryObject<Block> ANDESITE_4X = BLOCKS.register("andesite_4x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(5.0F, 11.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> ANDESITE_4X_ITEM = ITEMS.register("andesite_4x", () -> new BlockItem(ANDESITE_4X.get(), new Item.Properties()));


    /* DIORITE */

    public static final RegistryObject<Block> DIORITE_1X = BLOCKS.register("diorite_1x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(2.0F, 8.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> DIORITE_1X_ITEM = ITEMS.register("diorite_1x", () -> new BlockItem(DIORITE_1X.get(), new Item.Properties()));

    public static final RegistryObject<Block> DIORITE_2X = BLOCKS.register("diorite_2x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(3.0F, 9.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> DIORITE_2X_ITEM = ITEMS.register("diorite_2x", () -> new BlockItem(DIORITE_2X.get(), new Item.Properties()));

    public static final RegistryObject<Block> DIORITE_3X = BLOCKS.register("diorite_3x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(4.0F, 10.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> DIORITE_3X_ITEM = ITEMS.register("diorite_3x", () -> new BlockItem(DIORITE_3X.get(), new Item.Properties()));

    public static final RegistryObject<Block> DIORITE_4X = BLOCKS.register("diorite_4x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(5.0F, 11.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> DIORITE_4X_ITEM = ITEMS.register("diorite_4x", () -> new BlockItem(DIORITE_4X.get(), new Item.Properties()));

    /* GRANITE */

    public static final RegistryObject<Block> GRANITE_1X = BLOCKS.register("granite_1x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(2.0F, 8.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> GRANITE_1X_ITEM = ITEMS.register("granite_1x", () -> new BlockItem(GRANITE_1X.get(), new Item.Properties()));

    public static final RegistryObject<Block> GRANITE_2X = BLOCKS.register("granite_2x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(3.0F, 9.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> GRANITE_2X_ITEM = ITEMS.register("granite_2x", () -> new BlockItem(GRANITE_2X.get(), new Item.Properties()));

    public static final RegistryObject<Block> GRANITE_3X = BLOCKS.register("granite_3x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(4.0F, 10.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> GRANITE_3X_ITEM = ITEMS.register("granite_3x", () -> new BlockItem(GRANITE_3X.get(), new Item.Properties()));

    public static final RegistryObject<Block> GRANITE_4X = BLOCKS.register("granite_4x", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(5.0F, 11.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> GRANITE_4X_ITEM = ITEMS.register("granite_4x", () -> new BlockItem(GRANITE_4X.get(), new Item.Properties()));

    /* COMBINED BLOCKS */

    public static final RegistryObject<Block> CBLOCK_MINING = BLOCKS.register("cblock_mining", () -> new Block(BlockBehaviour.Properties.of().mapColor(MapColor.NONE).strength(5.0F, 11.0F).requiresCorrectToolForDrops()));
    public static final RegistryObject<Item> CBLOCK_MINING_ITEM = ITEMS.register("cblock_mining", () -> new BlockItem(CBLOCK_MINING.get(), new Item.Properties()));

}
